org.cybergarage.upnp.event

## Class SubscriptionRequest

- java.lang.Object
- - org.cybergarage.http.HTTPPacket
  - - org.cybergarage.http.HTTPRequest
    - - org.cybergarage.upnp.event.SubscriptionRequest

-     public class SubscriptionRequest
      extends HTTPRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionRequest()`
    `SubscriptionRequest(HTTPRequest httpReq)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCallback()`
    `String` | `getNT()`
    `String` | `getSID()`
    `long` | `getTimeout()`
    `boolean` | `hasCallback()`
    `boolean` | `hasNT()`
    `boolean` | `hasSID()`
    `SubscriptionResponse` | `post()`
    `void` | `post(SubscriptionResponse subRes)`
    `void` | `setCallback(String value)`
    `void` | `setNT(String value)`
    `void` | `setRenewRequest(Service service, String uuid, long timeout)`
    `void` | `setSID(String id)`
    `void` | `setSubscribeRequest(Service service, String callback, long timeout)`
    `void` | `setTimeout(long value)`
    `void` | `setUnsubscribeRequest(Service service)`

    - ### Methods inherited from class org.cybergarage.http.HTTPRequest

      `getFirstLineString, getHeader, getHTTPVersion, getLocalAddress, getLocalPort, getMethod, getParameterList, getParameterValue, getRequestHost, getRequestPort, getSocket, getURI, isGetRequest, isHeadRequest, isKeepAlive, isMethod, isNotifyRequest, isPostRequest, isSOAPAction, isSubscribeRequest, isUnsubscribeRequest, parseRequestLine, post, post, post, print, read, returnBadRequest, returnOK, returnResponse, set, setMethod, setRequestHost, setRequestPort, setSocket, setURI, setURI, toString`

    - ### Methods inherited from class org.cybergarage.http.HTTPPacket

      `addHeader, addHeader, clearHeaders, getCacheControl, getConnection, getContent, getContentInputStream, getContentLength, getContentRange, getContentRangeFirstPosition, getContentRangeInstanceLength, getContentRangeLastPosition, getContentString, getContentType, getDate, getFirstLine, getFirstLineToken, getHeader, getHeader, getHeaderString, getHeaderValue, getHost, getIntegerHeaderValue, getLongHeaderValue, getNHeaders, getServer, getStringHeaderValue, getStringHeaderValue, getTransferEncoding, getVersion, hasConnection, hasContent, hasContentInputStream, hasContentRange, hasFirstLine, hasHeader, hasTransferEncoding, init, isChunked, isCloseConnection, isKeepAliveConnection, read, set, set, set, set, setCacheControl, setCacheControl, setCacheControl, setConnection, setContent, setContent, setContent, setContent, setContentInputStream, setContentLength, setContentRange, setContentType, setDate, setHeader, setHeader, setHeader, setHeader, setHost, setIntegerHeader, setLongHeader, setServer, setStringHeader, setStringHeader, setTransferEncoding, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionRequest

          public SubscriptionRequest()

    - #### SubscriptionRequest

          public SubscriptionRequest(HTTPRequest httpReq)

  - ### Method Detail

    - #### setSubscribeRequest

          public void setSubscribeRequest(Service service,
                                 String callback,
                                 long timeout)

    - #### setRenewRequest

          public void setRenewRequest(Service service,
                             String uuid,
                             long timeout)

    - #### setUnsubscribeRequest

          public void setUnsubscribeRequest(Service service)

    - #### setNT

          public void setNT(String value)

    - #### getNT

          public String getNT()

    - #### hasNT

          public boolean hasNT()

    - #### setCallback

          public void setCallback(String value)

    - #### getCallback

          public String getCallback()

    - #### hasCallback

          public boolean hasCallback()

    - #### setSID

          public void setSID(String id)

    - #### getSID

          public String getSID()

    - #### hasSID

          public boolean hasSID()

    - #### setTimeout

          public final void setTimeout(long value)

    - #### getTimeout

          public long getTimeout()

    - #### post

          public void post(SubscriptionResponse subRes)

    - #### post

          public SubscriptionResponse post()